= nng_http_res_get_reason(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_res_get_reason - return HTTP response reason

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

const char *nng_http_res_get_reason(nng_http_res *res);
----

== DESCRIPTION

The `nng_http_res_get_reason()` returns a string representing the
reason associated with the response _res_.
This is a human-readable explanation of the status code that
would be obtained from
xref:nng_http_res_get_status.3http.adoc[`nng_http_res_get_status()`].

== RETURN VALUES

Reason as a string.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_http_res_alloc.3http.adoc[nng_http_res_alloc(3http)],
xref:nng_http_res_get_status.3http.adoc[nng_http_res_get_status(3http)],
xref:nng_http_res_set_reason.3http.adoc[nng_http_res_set_reason(3http)],
xref:nng.7.adoc[nng(7)]
